Qore::Xml::AbstractXmlIoInputCallback Class Referenceabstract

The AbstractXmlIoInputCallback class provides an interface for providing input callbacks to libxml2 More...

## Public Member Functions

| constructor ()
| creates a new AbstractXmlIoInputCallback object More...
abstract *InputStream | open (string url)
| returns an InputStream for the requested resource or nothing if the resource cannot be served More...

## Detailed Description

The AbstractXmlIoInputCallback class provides an interface for providing input callbacks to libxml2

## Member Function Documentation

## constructor()

Qore::Xml::AbstractXmlIoInputCallback::constructor | ( |  | ) |

creates a new AbstractXmlIoInputCallback object

Since
  xml 1.4

## open()

abstract *InputStream Qore::Xml::AbstractXmlIoInputCallback::open | ( | string | url | ) |

pure virtual

returns an InputStream for the requested resource or nothing if the resource cannot be served

Parameters

  url

  a URL to the resource; examples:
  - `"gl-cor-content-2006-10-25.xsd"`
  - `"http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"`

The documentation for this class was generated from the following file:

- /Users/david/src/qore/git/module-xml/src/QC_AbstractXmlIoInputCallback.dox.h